SLEEP(3)

NAME
sleep - suspend execution for interval

SYNOPSIS
#include <unistd.h>
unsigned int sleep(unsigned int seconds)

DESCRIPTION
The current process is suspended from execution for the number of seconds specified by the argument.

The routine is implemented using the 'select' function, so it does not interfere with alarm timers. If a signal is received, the function returns.

RETURN VALUE
The amount of time that remains to be slept is returned. This value is specified in seconds and rounded up.

SEE ALSO
pause(2), nanosleep(3).